Subject: bug#48580: Outline Mode using Phylogenetic Tree Nomenclature

From: [email-masked]
Date: Sat, 22 May 2021 10:41:03 +0200

The more familiar (emacs) names can be put in the description and mouse pop-up description.
But internally, a more formal system implemented.

I do not see that developers thought about tree structures in a formal manner
(e.g. leaves, branches).  Leaves are not bodies, and branches are not subheadings.

We are getting even more people thinking badly about tree structures, and having
other developers get used to faulty nomenclature.

What can be changed so that there could be some changes that can be handled, but not
too excessive?  There exists a really thought up system that outline should adopt.
It would need documentation for others to understand.

There can also be a deprecation process.

Regards
Peter

> Sent: Saturday, May 22, 2021 at 8:10 PM
> From: "Eli Zaretskii" <[email-masked]>
> To: [email-masked]
> Cc: [email-masked]
> Subject: bug#48580: Outline Mode using Phylogenetic Tree Nomenclature
>
> > From: [email-masked]
> > Date: Sat, 22 May 2021 09:56:15 +0200
> > Sensitivity: Normal
> >
> > I advise and lay out a system based on a formal Phylogenetic Tree that implement
> > Show-Hide Options.
> >
> > Show All (currently: Show All [unchanged])
> > Show Offsprings (currently: Show Children)
> > Show Descendants  (currently: Show Branches)
> > Show Sub-Tree (currently: Show Subtree [unchanged])
> > Show Common Level (currently: Hide Sublevels)
> >
> > Hide Sub-Branches (currently: Hide Leaves - meaning Hide Body after heading)
> > Hide Branches (currently: Hide Body, leaves all headings visible)
> > Hide Current Branch (currently: Hide Entry - hide body of this heading)
> > Hide Sub-Tree (currently: Hide Subtree [unchanged])
> > Hide Other (currently: Hide Other [unchanged])
>
> FWIW, if I were presented with the menu labels as you suggest, I'd be
> mightily confused by the unfamiliar terminology.  "Branches",
> "Levels", "Children", and "Tree" are familiar terms when dealing with
> tree structures, whereas "Offsprings", "Descendants" and
> "Sub-branches" aren't.
>
>
>
>